<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_76b2584d18510f88" . "7f4a6f6b81f96952" => base64_decode("Y29tbW9uLmhlYWRlci5mb3J1bQ" . "=="), "_d36d5ad3900b429055d2ab305b68bd" . "bd" => base64_decode("Zm9ydW1fb" . "WVzc2FnZQ" . "=="), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_4cb84eb74ebb3a0cd6e531ea" . "a8157092" => base64_decode("YXBwX2Z" . "vcnVt"));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d36d5ad3900b429055d2ab305b68bdb" . "d"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_76b2584d18" . "510f887f4a6" . "f6b81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4cb84eb74ebb3a" . "0cd6e531eaa8157" . "092"];
    }
}